aurora-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Bhuvan Arumugam <bhu...@apache.org>
Subject override python interpreter when building pex using pants
Date Tue, 02 Dec 2014 16:20:06 GMT
It's more of pants/pex question.

I've installed python2.7 in a custom path. I want to build
aurora_client using this interpreter. By default, it use python2.7 in
the PATH (#!/usr/bin/env python2.7). How do I change it to use
python2.7 in custom path? pex support this feature with --interpreter
option, but pants dont seem to expose it.

IOW, the first line of pex is #!/usr/bin/env python2.7; i want to
change it as #!/my/custom/python/bin/python2.7.

The current workaround is to add /my/custom/python/bin to PATH
everytime we execute pex. It's not feasible with thermos_executor.
It's launched from mesos-slave, unless i fix mesos-slave to expose
/my/custom/python/bin in PATH, i can't launch thermos_executor.

Is there a workaround? Is there any undocumented pants env that can
help to override the interpreter?

-- 
Regards,
Bhuvan Arumugam
www.livecipher.com

Mime
View raw message